
Redmine - Defect #39180

Fix an intermittent test failure in JournalTest

2023-10-11 08:04 - Vincent Robert

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed Affected version:  

Description

This test occasionally fails when executed concurrently with CI tools.

diff --git a/test/unit/journal_test.rb b/test/unit/journal_test.rb

class JournalTest < ActiveSupport::TestCase

  def test_notified_mentions_should_not_include_users_who_cannot_view_private_notes

    journal = Journal.generate!(journalized: Issue.find(2), user: User.find(1), private_notes: tru

e, notes: 'Hello @dlopper, @jsmith and @admin.')

    # User "dlopper" has "Developer" role on project "eCookbook" 

    # Role "Developer" does not have the "View private notes" permission

-   assert_equal [1, 2], journal.notified_mentions.map(&:id)

+   assert_equal [1, 2], journal.notified_mentions.map(&:id).sort

   end

 end

Associated revisions

Revision 22336 - 2023-10-12 11:17 - Go MAEDA

Fix an intermittent test failure in JournalTest (#39180).

Patch by Vincent Robert.

History

#1 - 2023-10-12 11:18 - Go MAEDA

- Tracker changed from Patch to Defect

- Subject changed from Fixing an intermittent test failure when running tests concurrently to Fix an intermittent test failure in JournalTest

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 5.1.0

- Resolution set to Fixed

Committed the fix in r22336. Thank you.
